QwtWeedingCurveFitter(3)

NAME
QwtWeedingCurveFitter -

SYNOPSIS

#include <qwt_curve_fitter.h>

Inherits QwtCurveFitter.

  Public Member Functions
QwtWeedingCurveFitter (double tolerance=1.0)
virtual ~QwtWeedingCurveFitter ()
virtual QPolygonF fitCurve (const QPolygonF &) const
void setTolerance (double)
double tolerance () const

  Additional Inherited Members

Detailed Description

A curve fitter implementing Douglas and Peucker algorithm. The purpose of the Douglas and Peucker algorithm is that given a 'curve' composed of line segments to find a curve not too dissimilar but that has fewer points. The algorithm defines 'too dissimilar' based on the maximum distance (tolerance) between the original curve and the smoothed curve.

The smoothed curve consists of a subset of the points that defined the original curve.

In opposite to QwtSplineCurveFitter the Douglas and Peucker algorithm reduces the number of points. By adjusting the tolerance parameter according to the axis scales QwtSplineCurveFitter can be used to implement different level of details to speed up painting of curves of many points.

Constructor & Destructor Documentation

  QwtWeedingCurveFitter::QwtWeedingCurveFitter (doubletolerance = 1.0)
Constructor

Parameters:
    tolerance Tolerance

See also:
    setTolerance(), tolerance()

Member Function Documentation

  QPolygonF QwtWeedingCurveFitter::fitCurve (const QPolygonF &points) const [virtual]
Parameters:
    points Series of data points

Returns:
    Curve points

Implements QwtCurveFitter.

  void QwtWeedingCurveFitter::setTolerance (doubletolerance)
Assign the tolerance

The tolerance is the maximum distance, that is accaptable between the original curve and the smoothed curve.

Increasing the tolerance will reduce the number of the resulting points.

Parameters:
    tolerance Tolerance

See also:
    tolerance()

  double QwtWeedingCurveFitter::tolerance () const
Returns:
    Tolerance

See also:
    setTolerance()

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.